import { CdmAttributeContext, CdmCorpusContext, CdmFileStatus, CdmObject, CdmObjectDefinitionBase, cdmObjectType, ResolvedAttributeSetBuilder, ResolvedTraitSetBuilder, resolveOptions, VisitCallback } from '../internal';
/**
 * The object model implementation for Manifest Declaration.
 */
export declare class CdmManifestDeclarationDefinition extends CdmObjectDefinitionBase implements CdmManifestDeclarationDefinition, CdmFileStatus {
    private TAG;
    static get objectType(): cdmObjectType;
    /**
     * @inheritdoc
     */
    manifestName: string;
    /**
     * @inheritdoc
     */
    definition: string;
    /**
     * @inheritdoc
     */
    lastFileStatusCheckTime: Date;
    /**
     * @inheritdoc
     */
    lastFileModifiedTime: Date;
    /**
     * Initializes a new instance of the manifest declaration impl object.
     * @param ctx The context.
     * @param name The manifest name.
     */
    constructor(ctx: CdmCorpusContext, name: string);
    /**
     * @inheritdoc
     */
    getObjectType(): cdmObjectType;
    /**
     * @inheritdoc
     */
    copy(resOpt?: resolveOptions, host?: CdmObject): CdmObject;
    /**
     * @inheritdoc
     */
    validate(): boolean;
    /**
     * @inheritdoc
     */
    getName(): string;
    /**
     * @inheritdoc
     */
    visit(pathFrom: string, preChildren: VisitCallback, postChildren: VisitCallback): boolean;
    /**
     * @inheritdoc
     */
    isDerivedFrom(base: string, resOpt?: resolveOptions): boolean;
    /**
     * @inheritdoc
     * @internal
     */
    constructResolvedTraits(rtsb: ResolvedTraitSetBuilder, resOpt: resolveOptions): void;
    /**
     * @inheritdoc
     * @internal
     */
    constructResolvedAttributes(resOpt: resolveOptions, under?: CdmAttributeContext): ResolvedAttributeSetBuilder;
    /**
     * @inheritdoc
     */
    fileStatusCheckAsync(): Promise<void>;
    /**
     * @inheritdoc
     */
    reportMostRecentTimeAsync(childTime: Date): Promise<void>;
}
